Subject: Re: bug#30235: [patch] undo-tree byte-compiler warnings

From: Toby Cubitt <[email-masked]>
Date: Wed, 18 Sep 2019 12:51:46 +0100

Hi Alex,

Not opposed to this at all! (I forgot what i said previously, but if I was then it was before I knew of the _ method.) Indeed, I think I already made exactly this change a while back in the undo-tree development repo, but maybe forgot to transfer this into ELPA.

Undo-tree went into ELPA before there was support for separate per-package git repos in ELPA, which is why this isn't automatic. It makes upstreaming changes from my development repo(s) to ELPA that bit more complicated than a simple git push. I'm very busy with real life these days, so this inevitably gets forgotten/postponed. Maybe this is a good opportunity to shift all my ELPA packages over to per-package git repos, so I can just make the ELPA repos upstreams of my package development repos?

Best wishes,
Toby 

On 17 September 2019 13:39:04 BST, Lars Ingebrigtsen <[email-masked]> wrote:
>Alex Branham <[email-masked]> writes:
>
>> -      (dotimes (i arg)
>> +      (dotimes (_i arg)
>
>Jonas said:
>
>> Toby, I am aware that I have suggested before that you use `_' as VAR
>in
>> calls to `dotimes' instead of `i'.  You rejected that suggestion,
>> claiming that the byte-compiler complaining about `i' not being used
>is
>> a bug.
>
>While my preference is to avoid compiler warnings (because having a
>warning-free build allows anybody working on the code to proceed with
>greater speed and confidence), I think that for ELPA code this should
>be
>up to the maintainer.  Since it seems like Toby is opposed to these
>changes, I'm closing this bug report.

-- 
Dr T. S. Cubitt
Reader (Associate Professor) in Quantum Information
Royal Society University Research Fellow
Department of Computer Science
University College London

email: [email-masked] 
web:   www.dr-qubit.org